Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2125909 - [RFE] Have a fixed-width font (Monospaced) for variables that need correct indentation
Summary: [RFE] Have a fixed-width font (Monospaced) for variables that need correct in...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Parameters
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Girija Soni
QA Contact: visawant
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-11 18:32 UTC by vivek singh
Modified: 2023-06-09 07:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
content view publish package count (80.27 KB, image/png)
2022-10-04 11:22 UTC, hakon.gislason
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 36366 0 Normal New Have a fixed-width font (Monospaced) for variables that need correct indentation 2023-05-08 08:05:25 UTC
Red Hat Issue Tracker SAT-12946 0 None None None 2022-09-14 13:32:00 UTC
Red Hat Issue Tracker SAT-17223 0 None None None 2023-06-09 07:24:37 UTC

Description vivek singh 2022-09-11 18:32:33 UTC
1. Proposed title of this feature request.
=> [RFE] Have a fixed-width font(Monospaced) for variables that need correct indentation 

2. What are the nature and description of the request?  
While Creating new variable on satellite with override option ticked marked and "Parameter Type" = yaml . while writing Value in Specify Matchers 
section. Font is not Monospaced . Customer need that Font there should be monospaced so that they can easly write value in yaml format there. 
monospaced fonts we can see under  Pre-existing Job Teamplates in satellite. Customer want same like that.

2.a - Under Specify Matchers section in value filed. Give two space in-front of all 3 lines. you will see that 'home' is not aligned. 

~~~~~~
 -username 
 -username 
  home
~~~~~~

2.b - If you want to make it aligned, you have to give 3 space for 3rd Row(home). which looks aligned but actually it is not correctly Aligned. 


3. Why do you need this? (List the business requirements here).
Customer Need that Monospaced font should be used while creating New variable. So that they can write code properly. Currently they have to write 
code in code-editor and then copy it to value field under 'specify matcher' section. 
 
4. How would you like to achieve this? (List the functional requirements here).
Navigate to Satellite web UI -> Configure -> Variable -> New-variable -> Parameter Type = yaml > Font in value should be Monospaced.

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
We can write value directly in satellite and check if fonts are Monospaced ot not. 
  
6. Do you have any specific timeline dependencies and which release would they like to target (i.e. Satellite 6.11,12)?
NA
     
7. List any affected packages or components. 
NA 
      
8. Would you be able to assist in testing this functionality if implemented?  
Yes

Comment 2 hakon.gislason 2022-09-12 10:06:25 UTC
This could also apply to various other fields in Satellite including but not limited to:

- ansible variable list in the new hosts page
- ansible inventory in the new hosts page
- global parameters / host parameters (create host parameters tab, hostgroup parameters tab, global parameters page, organization parameters, etc...)
- fact values

Comment 3 Marek Hulan 2022-09-12 10:59:31 UTC
Totally, I moved it under the Parameters component, since it covers all of them (e.g. host params and org params). Good point about the fact values, for some it could be really helpful, however if the values are too long and multiline, they don't display well in the table. Perhaps a modal for displaying such values would be good.

Comment 4 hakon.gislason 2022-10-04 11:21:26 UTC
I thought my last CV publish just had 5.600 packages, but the one before that 56.000 - perhaps pulp killed by OOM or some other issue. Did some debugging but couldn't find anything obvious right away.
It was due to the variable-width font making the two numbers look off by 51.000. See attached screenshot. Maybe worth considering a complete overhaul of where to use fixed-width fonts in Satellite?

Comment 5 hakon.gislason 2022-10-04 11:22:38 UTC
Created attachment 1915951 [details]
content view publish package count

Comment 6 Girija Soni 2023-05-08 08:05:23 UTC
Created redmine issue https://projects.theforeman.org/issues/36366 from this bug

Comment 7 Bryan Kearney 2023-05-23 18:21:49 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/36366 has been resolved.

Comment 9 visawant 2023-06-08 12:52:22 UTC
Verified
Satelltie version: 6.14.0 Snap 2.0


Note You need to log in before you can comment on or make changes to this bug.